Merge lp:~pete-woods/cmake-extras/drop-deprecated-macros-lp1563573 into lp:cmake-extras

Proposed by Pete Woods on 2017-04-03
Status: Merged
Approved by: Charles Kerr on 2017-04-03
Approved revision: 73
Merged at revision: 73
Proposed branch: lp:~pete-woods/cmake-extras/drop-deprecated-macros-lp1563573
Merge into: lp:cmake-extras
Diff against target: 96 lines (+11/-27)
9 files modified
CMakeLists.txt (+0/-8)
debian/changelog (+8/-0)
debian/control (+1/-2)
debian/rules (+2/-7)
modules/EnableCoverageReport.cmake (+0/-2)
modules/FormatCode.cmake (+0/-2)
modules/QmlPlugins.cmake (+0/-2)
modules/UseDoxygen.cmake (+0/-2)
modules/UseGSettings.cmake (+0/-2)
To merge this branch: bzr merge lp:~pete-woods/cmake-extras/drop-deprecated-macros-lp1563573
Reviewer Review Type Date Requested Status
Charles Kerr (community) 2017-04-03 Approve on 2017-04-03
Review via email: mp+321718@code.launchpad.net

Commit message

Drop deprecated macros

Description of the change

Drop deprecated macros

To post a comment you must log in.
Charles Kerr (charlesk) wrote :

LGTM.

review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'CMakeLists.txt'
2--- CMakeLists.txt 2016-11-30 05:50:48 +0000
3+++ CMakeLists.txt 2017-04-03 15:09:41 +0000
4@@ -10,11 +10,3 @@
5 USE_SOURCE_PERMISSIONS
6 )
7
8-# Modules installed directly to CMAKE_ROOT
9-# TODO: migrate these to the above tree, since installing to
10-# CMAKE_ROOT is frowned upon.
11-install(
12- DIRECTORY "modules/"
13- DESTINATION "${CMAKE_ROOT}/Modules/"
14- USE_SOURCE_PERMISSIONS
15-)
16
17=== modified file 'debian/changelog'
18--- debian/changelog 2017-03-10 12:38:01 +0000
19+++ debian/changelog 2017-04-03 15:09:41 +0000
20@@ -1,3 +1,11 @@
21+cmake-extras (1.4-0ubuntu1) UNRELEASED; urgency=medium
22+
23+ [ Pete Woods ]
24+ * Drop deprecated modules now that no-one is using them any more,
25+ fixing bug (LP: #1563573).
26+
27+ -- Pete <pete.woods@canonical.com> Mon, 03 Apr 2017 16:01:33 +0100
28+
29 cmake-extras (1.3+17.04.20170310-0ubuntu1) zesty; urgency=medium
30
31 [ Pete ]
32
33=== modified file 'debian/control'
34--- debian/control 2016-12-01 07:23:24 +0000
35+++ debian/control 2017-04-03 15:09:41 +0000
36@@ -15,7 +15,6 @@
37 Architecture: all
38 Multi-Arch: foreign
39 Depends: ${misc:Depends},
40- cmake (>= ${cmake:Version}),
41- cmake (<< ${cmake:nextMajor}),
42+ cmake (>= 3.1),
43 Description: Extra CMake utility modules.
44 Modules for coverage testing, building gtest, doxygen documentation, and more.
45
46=== modified file 'debian/rules'
47--- debian/rules 2016-11-23 06:20:41 +0000
48+++ debian/rules 2017-04-03 15:09:41 +0000
49@@ -1,9 +1,4 @@
50 #!/usr/bin/make -f
51 %:
52- dh $@ --fail-missing
53-
54-CMAKE_VERSION=$(shell dpkg-query --show --showformat='$${version}' cmake | cut -f1,2 -d.)
55-
56-override_dh_gencontrol:
57- dh_gencontrol -- \
58- -Vcmake:Version=$(CMAKE_VERSION) -Vcmake:nextMajor=$(CMAKE_VERSION).z
59+ dh $@ --fail-missing --parallel
60+
61
62=== removed directory 'modules'
63=== removed file 'modules/EnableCoverageReport.cmake'
64--- modules/EnableCoverageReport.cmake 2016-12-08 09:57:20 +0000
65+++ modules/EnableCoverageReport.cmake 1970-01-01 00:00:00 +0000
66@@ -1,2 +0,0 @@
67-message(DEPRECATION "include(EnableCoverageReport) is deprecated. Use find_package(CoverageReport) instead")
68-find_package(CoverageReport)
69
70=== removed file 'modules/FormatCode.cmake'
71--- modules/FormatCode.cmake 2016-12-07 15:30:09 +0000
72+++ modules/FormatCode.cmake 1970-01-01 00:00:00 +0000
73@@ -1,2 +0,0 @@
74-message(DEPRECATION "include(FormatCode) is deprecated. Use find_package(FormatCode) instead")
75-find_package(FormatCode)
76
77=== removed file 'modules/QmlPlugins.cmake'
78--- modules/QmlPlugins.cmake 2016-12-07 15:30:09 +0000
79+++ modules/QmlPlugins.cmake 1970-01-01 00:00:00 +0000
80@@ -1,2 +0,0 @@
81-message(DEPRECATION "include(QmlPlugins) is deprecated. Use find_package(QmlPlugins) instead")
82-find_package(QmlPlugins)
83
84=== removed file 'modules/UseDoxygen.cmake'
85--- modules/UseDoxygen.cmake 2016-12-07 15:30:09 +0000
86+++ modules/UseDoxygen.cmake 1970-01-01 00:00:00 +0000
87@@ -1,2 +0,0 @@
88-message(DEPRECATION "include(UseDoxygen) is deprecated. Use find_package(DoxygenBuilder) instead")
89-find_package(DoxygenBuilder)
90
91=== removed file 'modules/UseGSettings.cmake'
92--- modules/UseGSettings.cmake 2016-12-07 15:30:09 +0000
93+++ modules/UseGSettings.cmake 1970-01-01 00:00:00 +0000
94@@ -1,2 +0,0 @@
95-message(DEPRECATION "include(UseGSettings) is deprecated. Use find_package(GSettings) instead")
96-find_package(GSettings)

Subscribers

People subscribed via source and target branches

to all changes: